namespace Intrepid.Utilities.Updatable
{
    public interface IUpdatable
    {
        string Id { get; }
        int Order => int.MaxValue;
        
        void UpdateFromUpdatable();
        void LateUpdateFromUpdatable();
        void FixedUpdateFromUpdatable();
    }
}